%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.2.0
%define libgnomeui_version 2.2.0
%define desktop_file_utils_version 0.3
%define gail_version 1.2.0

Summary: Eye of GNOME image viewer
Name:    eog
Version: 2.2.0
Release: 1
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/eog/%{name}-%{version}.tar.bz2
License: GPL 
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: gail-devel >= %{gail_version}

%description

Eye of GNOME (EOG) is an image viewer component used by Nautilus.

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -r $RPM_BUILD_ROOT/var/scrollkeeper

## http://bugzilla.gnome.org/show_bug.cgi?id=89379
perl -pi -e 's/Categories=Application;Graphics/Categories=Application;Graphics;/' $RPM_BUILD_ROOT%{_datadir}/applications/* 

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="eog.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/eog
%{_datadir}/pixmaps
%{_datadir}/idl
%{_datadir}/gnome-2.0
%{_datadir}/gnome
%{_datadir}/applications
%{_datadir}/omf
%{_libdir}/bonobo
%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Thu Feb  6 2003 Havoc Pennington <hp@redhat.com> 2.2.0-1
- 2.2.0
- fix dependency versions

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1.1.3-1
- update to 1.1.3
- include glade file

* Sun Dec  1 2002 Havoc Pennington <hp@redhat.com>
- 1.1.2

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 1.0.2
- remove --copy-generic-name-to-name because there's no GenericName
  anymore
- include libexecdir stuff

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- copy generic name to name and move to -Extra

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 1.0.1, rebuild with new gail

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.0.0
- use desktop-file-install

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun 05 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnomeprint

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 0.118.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 0.117.0

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- initial build



